## org.apache.lucene.queryParser.core.nodes
Class ParametricRangeQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.ParametricRangeQueryNode

All Implemented Interfaces:
  Serializable, Cloneable, FieldableNode, QueryNode, RangeQueryNode<ParametricQueryNode>

    public class ParametricRangeQueryNode

extends QueryNodeImpl
implements RangeQueryNode<ParametricQueryNode>

A `ParametricRangeQueryNode` represents LE, LT, GE, GT, EQ, NE query. Example: date >= "2009-10-10" OR price = 200

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`ParametricRangeQueryNode(ParametricQueryNode lowerBound, ParametricQueryNode upperBound)`

Method Summary
`ParametricRangeQueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`CharSequence` `getField()` Returns the field associated to the node and every node under it.
`ParametricQueryNode` `getLowerBound()`
`ParametricQueryNode` `getUpperBound()`
`boolean` `isLowerInclusive()`
`boolean` `isUpperInclusive()`
`void` `setField(CharSequence fieldName)` Associates the node to a field.
`CharSequence` `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, setTag, unsetTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, unsetTag, unsetTag`

Constructor Detail

### ParametricRangeQueryNode

    public ParametricRangeQueryNode(ParametricQueryNode lowerBound,
                                    ParametricQueryNode upperBound)

Method Detail

### getUpperBound

    public ParametricQueryNode getUpperBound()

  Specified by:
    `getUpperBound` in interface `RangeQueryNode<ParametricQueryNode>`

### getLowerBound

    public ParametricQueryNode getLowerBound()

  Specified by:
    `getLowerBound` in interface `RangeQueryNode<ParametricQueryNode>`

### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

  Specified by:
    `toQueryString` in interface `QueryNode`

### getField

    public CharSequence getField()

  Description copied from interface: `FieldableNode`
  Returns the field associated to the node and every node under it.

  Specified by:
    `getField` in interface `FieldableNode`
  Returns:
    the field name

### toString

    public String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `QueryNodeImpl`
  See Also:
    `QueryNode.toString()`

### cloneTree

    public ParametricRangeQueryNode cloneTree()
                                       throws CloneNotSupportedException

  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `QueryNodeImpl`
  Returns:
    the cloned tree
  Throws:
    `CloneNotSupportedException`

### setField

    public void setField(CharSequence fieldName)

  Description copied from interface: `FieldableNode`
  Associates the node to a field.

  Specified by:
    `setField` in interface `FieldableNode`
  Parameters:
    `fieldName` - the field name

### isLowerInclusive

    public boolean isLowerInclusive()

  Specified by:
    `isLowerInclusive` in interface `RangeQueryNode<ParametricQueryNode>`

### isUpperInclusive

    public boolean isUpperInclusive()

  Specified by:
    `isUpperInclusive` in interface `RangeQueryNode<ParametricQueryNode>`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.